# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python3_{6,7,8} )

inherit distutils-r1

DESCRIPTION="Python docutils-compatibility bridge to CommonMark"
HOMEPAGE="https://recommonmark.readthedocs.io/"
SRC_URI="https://github.com/rtfd/recommonmark/archive/${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"

RDEPEND="
	>=dev-python/commonmark-0.8.1[${PYTHON_USEDEP}]
	>=dev-python/docutils-0.14[${PYTHON_USEDEP}]
	<dev-python/sphinx-3[${PYTHON_USEDEP}]
"

distutils_enable_tests pytest

src_prepare() {
	# known broken with new sphinx
	# https://github.com/readthedocs/recommonmark/issues/164
	sed -e 's:test_lists:_&:' \
		-e '/CustomExtensionTests/s:SphinxIntegrationTests:object:' \
		-i tests/test_sphinx.py || die

	distutils-r1_src_prepare
}
